#!/bin/sh -e

# Set our default font to "fixed".
sed -i 's/\-b\&h\-lucida\-medium\-r\-\*\-\*\-10\-\*\-\*\-\*\-\*\-\*\-\*\-\*/fixed/' windowlab.h

# Look under ~/.config/windowlab, not ~/.windowlab for config data.
sed -i 's/\.windowlab\/windowlab\.menurc/\.config\/windowlab\/menurc/g' *

make

# Fix unportable cp flags in Makefile
sed -i 's/cp -i/cp/' Makefile

make PREFIX="/usr" DESTDIR="$1" install
